
package de.ivu.elect.presentation.gebietsbaum.table;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class NlWasGebietAnzahlWahlberechtigteColumn extends AbstractGebietColumn<Gebiet> {

  private static final long serialVersionUID = 1L;

  public NlWasGebietAnzahlWahlberechtigteColumn(Messages messages) {
    super("Nl-Was-Gebiet-Anzahl-Wahlberechtigte-Column", messages, "nl.gebiet.wahlberechtigte.header", ColumnType.LONG, gebiet -> {
      if (gebiet == null) {
        return null;
      }

      return gebiet.castTo(Wahldurchfuehrungsgebiet.class).getEntity().getAnzahlWahlberechtigteOhneWahlschein();
    });
  }
}
